# Get Confirmed Transaction

## **ENDPOINT**

```
GET https://api.data123.io/aleo/<API KEY>/v1/testnet3/transaction/confirmed/{transactionID}
```

### **Arguments**

<table><thead><tr><th width="198">Parameter</th><th width="113">Type</th><th width="119">Request</th><th>Description</th></tr></thead><tbody><tr><td>transcationID</td><td>string</td><td>Yes</td><td>The transaction id of the requested transaction hex</td></tr></tbody></table>

### **Response**

<table><thead><tr><th width="195">Parameter</th><th width="122">type</th><th>Description</th></tr></thead><tbody><tr><td>result</td><td><a href="https://developer.aleo.org/concepts/transactions/">Object</a></td><td>The block hash of the most recent block</td></tr></tbody></table>

### Request

{% tabs %}
{% tab title="REST" %}

```bash
curl https://api.data123.io/aleo/<API KEY>/v1/testnet3/transaction/confirmed/at1td9klwgpevhgqcpfd5tvu88pv67uajugnxqysd93w40kx8na2cyq8qh3ls
```

{% endtab %}

{% tab title="JSON-RPC" %}

<pre class="language-bash" data-overflow="wrap"><code class="lang-bash"><strong>curl https://api.data123.io/aleo/&#x3C;API KEY>/rpc/v1/testnet3 \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"getConfirmedTransaction","params":['at1td9klwgpevhgqcpfd5tvu88pv67uajugnxqysd93w40kx8na2cyq8qh3ls'],"id":1}'
</code></pre>

{% endtab %}
{% endtabs %}
